Loading...
Searching...
No Matches
XrdPssTrace.hh File Reference
`#include "XrdSys/XrdSysTrace.hh"`
Include dependency graph for XrdPssTrace.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | DEBUG(tid, y)
#define | DEBUGON TRACING(TRACEPSS_Debug)
#define | EPNAME(x)
#define | QTRACE(act)
#define | TRACEPSS_ALL 0xffff
#define | TRACEPSS_Debug 0x0001
#define | TRACING(x)

## Macro Definition Documentation

## DEBUG

#define DEBUG | ( |  | tid,
|  |  | y )

Value:
if (DEBUGON) SYSTRACE(SysTrace., tid, epname, 0, y)
DEBUGON
#define DEBUGON
Definition XrdPosixTrace.hh:41
SYSTRACE
#define SYSTRACE(obj, usr, epn, txt, dbg)
Definition XrdSysTrace.hh:45

Definition at line 46 of file XrdPssTrace.hh.

#define DEBUG(tid,y)\
if (DEBUGON) SYSTRACE(SysTrace., tid, epname, 0, y)

## DEBUGON

#define DEBUGON TRACING(TRACEPSS_Debug)

Definition at line 44 of file XrdPssTrace.hh.

## EPNAME

#define EPNAME | ( |  | x | ) |

Value:
static const char *epname = x;

Definition at line 49 of file XrdPssTrace.hh.

## QTRACE

#define QTRACE | ( |  | act | ) |

Value:
SysTrace.What & TRACEPSS_ ## act
XrdSysTrace::What
int What
Definition XrdSysTrace.hh:64

Definition at line 40 of file XrdPssTrace.hh.

## TRACEPSS_ALL

#define TRACEPSS_ALL 0xffff

Definition at line 33 of file XrdPssTrace.hh.

## TRACEPSS_Debug

#define TRACEPSS_Debug 0x0001

Definition at line 34 of file XrdPssTrace.hh.

Referenced by XrdPssSys::ConfigMapID().

## TRACING

#define TRACING | ( |  | x | ) |

Value:
(SysTrace.What & x)

Definition at line 42 of file XrdPssTrace.hh.